Index: src/userspec.c
--- src/userspec.c.orig	2004-09-06 14:23:06 +0200
+++ src/userspec.c	2004-12-20 19:58:04 +0100
@@ -20,6 +20,7 @@
 #include <system.h>
 
 #ifdef __GNUC__
+#undef  alloca
 #define alloca __builtin_alloca
 #else
 #ifdef HAVE_ALLOCA_H
@@ -72,7 +73,7 @@
    otherwise return 0. */
 
 static int
-isnumber (const char *str)
+my_isnumber (const char *str)
 {
   for (; *str; str++)
     if (!isdigit (*str))
@@ -136,7 +137,7 @@
       if (pwd == NULL)
 	{
 
-	  if (!isnumber (u))
+	  if (!my_isnumber (u))
 	    error_msg = _("invalid user");
 	  else
 	    {
@@ -182,7 +183,7 @@
       grp = getgrnam (g);
       if (grp == NULL)
 	{
-	  if (!isnumber (g))
+	  if (!my_isnumber (g))
 	    error_msg = _("invalid group");
 	  else
 	    *gid = atoi (g);
Index: lib/rtapelib.c
--- lib/rtapelib.c.orig	2004-09-06 15:49:42 +0200
+++ lib/rtapelib.c	2005-02-06 12:40:08 +0100
@@ -625,7 +625,7 @@
 {
   char command_buffer[COMMAND_BUFFER_SIZE];
   char operand_buffer[UINTMAX_STRSIZE_BOUND];
-  uintmax_t u = offset < 0 ? - (uintmax_t) offset : (uintmax_t) offset;
+  unsigned long u = offset < 0 ? - (unsigned long) offset : (unsigned long) offset;
   char *p = operand_buffer + sizeof operand_buffer;
 
   *--p = 0;
@@ -667,9 +667,9 @@
       {
 	char command_buffer[COMMAND_BUFFER_SIZE];
 	char operand_buffer[UINTMAX_STRSIZE_BOUND];
-	uintmax_t u = (((struct mtop *) argument)->mt_count < 0
-		       ? - (uintmax_t) ((struct mtop *) argument)->mt_count
-		       : (uintmax_t) ((struct mtop *) argument)->mt_count);
+	unsigned long u = (((struct mtop *) argument)->mt_count < 0
+		       ? - (unsigned long) ((struct mtop *) argument)->mt_count
+		       : (unsigned long) ((struct mtop *) argument)->mt_count);
 	char *p = operand_buffer + sizeof operand_buffer;
 
         *--p = 0;
Index: lib/system.h
--- lib/system.h.orig	2004-09-06 15:49:42 +0200
+++ lib/system.h	2005-02-06 12:39:48 +0100
@@ -467,7 +467,7 @@
   ((sizeof (t) * CHAR_BIT - TYPE_SIGNED (t)) * 302 / 1000 \
    + 1 + TYPE_SIGNED (t))
 
-#define UINTMAX_STRSIZE_BOUND (INT_STRLEN_BOUND (uintmax_t) + 1)
+#define UINTMAX_STRSIZE_BOUND (INT_STRLEN_BOUND (unsigned long) + 1)
 
 /* Prototypes for external functions.  */
 
